## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCUDTAttributeLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCUDTAttributeLoader

    public class JDBCUDTAttributeLoader

extends JDBCBaseLoader

Base loader implementation for loading a UDT's attribute objects. This class may be specialized as necessary to meet a particular vendor's needs.

Since:
  1.0

Field Summary
`static java.lang.String` `COLUMN_ATTR_DEF` The column name containing the attribute's default value.
`static java.lang.String` `COLUMN_ATTR_NAME` The column name containing the attribute's name.
`static java.lang.String` `COLUMN_ATTR_SIZE` The column name containing the attribute's size.
`static java.lang.String` `COLUMN_ATTR_TYPE_NAME` The column name containing the attribute's type name.
`static java.lang.String` `COLUMN_DATA_TYPE` The column name containing the attribute's data type.
`static java.lang.String` `COLUMN_DECIMAL_DIGITS` The column name containing the attribute's decimal digits.
`static java.lang.String` `COLUMN_NULLABLE` The column name containing the attribute's nullable.
`static java.lang.String` `COLUMN_REMARKS` The column name containing the attribute's description.
`static java.lang.String` `COLUMN_SCOPE_CATALOG` The column name containing the attribute's scope catalog.
`static java.lang.String` `COLUMN_SCOPE_SCHEMA` The column name containing the attribute's scope schema.
`static java.lang.String` `COLUMN_SCOPE_TABLE` The column name containing the attribute's scope table.

Constructor Summary
`JDBCUDTAttributeLoader(ICatalogObject catalogObject)` This constructs the loader using no filtering.
`JDBCUDTAttributeLoader(ICatalogObject catalogObject, IConnectionFilterProvider connectionFilterProvider)`

Method Summary
`void` `clearAttributeDefinitions(java.util.List attrDefs)` Removes the specified attribute definitions from the model.
`java.util.List` `loadAttributeDefinitions()` Loads the "attribute" objects from the database.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLUMN_ATTR_NAME

    public static final java.lang.String COLUMN_ATTR_NAME

  The column name containing the attribute's name.

  See Also:
    `java.sql.DatabaseMetaData.getAttributes()`, Constant Field Values

### COLUMN_DATA_TYPE

    public static final java.lang.String COLUMN_DATA_TYPE

  The column name containing the attribute's data type.

  See Also:
    `java.sql.DatabaseMetaData.getAttributes()`, Constant Field Values

### COLUMN_ATTR_TYPE_NAME

    public static final java.lang.String COLUMN_ATTR_TYPE_NAME

  The column name containing the attribute's type name.

  See Also:
    `java.sql.DatabaseMetaData.getAttributes()`, Constant Field Values

### COLUMN_ATTR_SIZE

    public static final java.lang.String COLUMN_ATTR_SIZE

  The column name containing the attribute's size.

  See Also:
    `java.sql.DatabaseMetaData.getAttributes()`, Constant Field Values

### COLUMN_DECIMAL_DIGITS

    public static final java.lang.String COLUMN_DECIMAL_DIGITS

  The column name containing the attribute's decimal digits.

  See Also:
    `java.sql.DatabaseMetaData.getAttributes()`, Constant Field Values

### COLUMN_NULLABLE

    public static final java.lang.String COLUMN_NULLABLE

  The column name containing the attribute's nullable.

  See Also:
    `java.sql.DatabaseMetaData.getAttributes()`, Constant Field Values

### COLUMN_REMARKS

    public static final java.lang.String COLUMN_REMARKS

  The column name containing the attribute's description.

  See Also:
    `java.sql.DatabaseMetaData.getAttributes()`, Constant Field Values

### COLUMN_ATTR_DEF

    public static final java.lang.String COLUMN_ATTR_DEF

  The column name containing the attribute's default value.

  See Also:
    `java.sql.DatabaseMetaData.getAttributes()`, Constant Field Values

### COLUMN_SCOPE_CATALOG

    public static final java.lang.String COLUMN_SCOPE_CATALOG

  The column name containing the attribute's scope catalog.

  See Also:
    `java.sql.DatabaseMetaData.getAttributes()`, Constant Field Values

### COLUMN_SCOPE_SCHEMA

    public static final java.lang.String COLUMN_SCOPE_SCHEMA

  The column name containing the attribute's scope schema.

  See Also:
    `java.sql.DatabaseMetaData.getAttributes()`, Constant Field Values

### COLUMN_SCOPE_TABLE

    public static final java.lang.String COLUMN_SCOPE_TABLE

  The column name containing the attribute's scope table.

  See Also:
    `java.sql.DatabaseMetaData.getAttributes()`, Constant Field Values

Constructor Detail

### JDBCUDTAttributeLoader

    public JDBCUDTAttributeLoader(ICatalogObject catalogObject)

  This constructs the loader using no filtering.

  Parameters:
    `catalogObject` - the UDT object upon which this loader operates.

### JDBCUDTAttributeLoader

    public JDBCUDTAttributeLoader(ICatalogObject catalogObject,
                                  IConnectionFilterProvider connectionFilterProvider)

Parameters:
  `catalogObject` - the UDT object upon which this loader operates.
  `connectionFilterProvider` - the filter provider used for filtering the "column" objects being loaded

Method Detail

### loadAttributeDefinitions

    public java.util.List loadAttributeDefinitions()
                                            throws java.sql.SQLException

  Loads the "attribute" objects from the database. This method uses the result set from createResultSet() to load the "attribute" objects from the server. Row handling for the result set is delegated to processRow(). AttributeDefinition objects are created using the factory method, createAttributeDefinition(). This method should only be overridden as a last resort when the desired behavior cannot be acheived by overriding createResultSet(), closeResultSet(), processRow(), createAttributeDefinition() and initialize().

  Returns:
    a collection of AttributeDefinition objects
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.

### clearAttributeDefinitions

    public void clearAttributeDefinitions(java.util.List attrDefs)

  Removes the specified attribute definitions from the model.

  Parameters:
    `attrDefs` - the attribute definitions to be removed from the model.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.